/*
 * Programming in Java, Jacobs University, 2015
 *
 * Create a frame (a top-level window) and add a button to it.  A
 * frame is not visible until it is set to be visible. Do something
 * when the button is pressed and exit the application if the frame is
 * closed by the window manager.
 *
 * This version uses anonymous inner classes to implement the listener
 * interfaces. This makes the code a bit shorter - does it make the
 * code more readable?
 */ 

import java.awt.event.ActionEvent;
import java.awt.event.WindowEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import javax.swing.JFrame;
import javax.swing.JButton;

public class PressMeAnonymous
{
    private JFrame frame;
    private JButton button;

    public PressMeAnonymous()
    {
	frame = new JFrame();
	button = new JButton("Press Me!");
	button.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    System.out.println("");
		    System.out.println("oouch!");
		    System.out.println(e);
		}
	    });
	frame.add(button);
	frame.pack();
	frame.addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    System.exit(0);
		}
	    });
	frame.setVisible(true);
    }
    
    public static void main(String[] args)
    {
	PressMeAnonymous pm = new PressMeAnonymous();
    }
}
